using System;
using Minesweeper.Config;

namespace Minesweeper.Presentation.Views
{
    public interface ITopPanelView : IView
    {
        event Action SmileClicked;

        void SetActive(bool active);
        void SetRemainingMines(int remainingMines);
        void SetTimer(float seconds);
        void SetSmile(SmileFaceState state);
    }
}
